import type { ClientCookieManager } from "./clientCookieManager";
import type { Base } from "../interface/recordCardAPI";
import type { AbyssBattle } from "../interface/genshinAbyssAPI";
import type { Full } from "../interface/genshinUserAPI";
export declare class Client {
    options: {
        language: string | 'en';
        retry: boolean | false;
    };
    cookieManager: ClientCookieManager;
    /**
     * @param {ClientCookieManager} cookieManager - The cookie manager to use.
     * @param {Object} options - The options to use.
     */
    constructor(cookieManager: ClientCookieManager, options: {
        language: string | 'en';
        retry: boolean | false;
    });
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getAbyssBattle(uid: string, previous?: boolean): Promise<AbyssBattle>;
    /**
     * @param {string} uid - HoYolab uid.
     */
    getGameRecordCard(uid: string): Promise<Base>;
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getFullBattle(uid: string): Promise<Full>;
}
